public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Doug Goldstein (cardoe)" <cardoe@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] gentoo-x86 commit in app-emulation/qemu: qemu-9999.ebuild ChangeLog
Date: Thu, 30 May 2013 15:56:30 +0000 (UTC)	[thread overview]
Message-ID: <20130530155630.B78DB2171D@flycatcher.gentoo.org> (raw)

cardoe      13/05/30 15:56:30

  Modified:             qemu-9999.ebuild ChangeLog
  Log:
  Updates to the live ebuild
  
  (Portage version: 2.1.11.62/cvs/Linux x86_64, signed Manifest commit with key D7DFA8D318FA9AEF!)

Revision  Changes    Path
1.50                 app-emulation/qemu/qemu-9999.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-emulation/qemu/qemu-9999.ebuild?rev=1.50&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-emulation/qemu/qemu-9999.ebuild?rev=1.50&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-emulation/qemu/qemu-9999.ebuild?r1=1.49&r2=1.50

Index: qemu-9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-emulation/qemu/qemu-9999.ebuild,v
retrieving revision 1.49
retrieving revision 1.50
diff -u -r1.49 -r1.50
--- qemu-9999.ebuild	7 May 2013 15:56:29 -0000	1.49
+++ qemu-9999.ebuild	30 May 2013 15:56:30 -0000	1.50
@@ -1,12 +1,16 @@
 # Copyright 1999-2013 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/qemu/qemu-9999.ebuild,v 1.49 2013/05/07 15:56:29 cardoe Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/qemu/qemu-9999.ebuild,v 1.50 2013/05/30 15:56:30 cardoe Exp $
 
-EAPI="4"
+EAPI=5
 
-PYTHON_DEPEND="2"
-inherit eutils flag-o-matic linux-info toolchain-funcs multilib python user udev
-#BACKPORTS=6cee76f0
+PYTHON_COMPAT=( python{2_5,2_6,2_7} )
+PYTHON_REQ_USE="ncurses,readline"
+
+inherit eutils flag-o-matic linux-info toolchain-funcs multilib python-r1 \
+	user udev fcaps
+
+BACKPORTS=6b5934f9
 
 if [[ ${PV} = *9999* ]]; then
 	EGIT_REPO_URI="git://git.qemu.org/qemu.git"
@@ -25,12 +29,14 @@
 
 LICENSE="GPL-2 LGPL-2 BSD-2"
 SLOT="0"
-IUSE="+aio alsa bluetooth brltty +caps +curl debug doc fdt +jpeg kernel_linux \
-kernel_FreeBSD mixemu ncurses opengl +png pulseaudio python rbd sasl +seccomp \
-sdl selinux smartcard spice static systemtap tci +threads tls usbredir +uuid vde \
-+vhost-net virtfs +vnc xattr xen xfs"
+IUSE="+aio alsa bluetooth brltty +caps +curl debug fdt iscsi +jpeg \
+kernel_linux kernel_FreeBSD mixemu ncurses opengl +png pulseaudio python \
+rbd sasl +seccomp sdl selinux smartcard spice static static-softmmu \
+static-user systemtap tci test +threads tls usbredir +uuid vde +vhost-net \
+virtfs +vnc xattr xen xfs"
 
-COMMON_TARGETS="i386 x86_64 alpha arm cris m68k microblaze microblazeel mips mipsel or32 ppc ppc64 sh4 sh4eb sparc sparc64 s390x unicore32"
+COMMON_TARGETS="i386 x86_64 alpha arm cris m68k microblaze microblazeel mips
+mipsel or32 ppc ppc64 sh4 sh4eb sparc sparc64 s390x unicore32"
 IUSE_SOFTMMU_TARGETS="${COMMON_TARGETS} lm32 mips64 mips64el ppcemb xtensa xtensaeb"
 IUSE_USER_TARGETS="${COMMON_TARGETS} armeb ppc64abi32 sparc32plus"
 
@@ -50,13 +56,16 @@
 
 # Block USE flag configurations known to not work
 REQUIRED_USE="${REQUIRED_USE}
-	static? ( !alsa !pulseaudio !bluetooth !opengl )
+	python? ( ${PYTHON_REQUIRED_USE} )
+	static? ( static-softmmu static-user )
+	static-softmmu? ( !alsa !pulseaudio !bluetooth !opengl )
 	virtfs? ( xattr )"
 
 # Yep, you need both libcap and libcap-ng since virtfs only uses libcap.
 LIB_DEPEND=">=dev-libs/glib-2.0[static-libs(+)]
 	sys-apps/pciutils[static-libs(+)]
 	sys-libs/zlib[static-libs(+)]
+	>=x11-libs/pixman-0.28.0[static-libs(+)]
 	aio? ( dev-libs/libaio[static-libs(+)] )
 	caps? ( sys-libs/libcap-ng[static-libs(+)] )
 	curl? ( >=net-misc/curl-7.15.4[static-libs(+)] )
@@ -74,40 +83,46 @@
 	vde? ( net-misc/vde[static-libs(+)] )
 	xattr? ( sys-apps/attr[static-libs(+)] )
 	xfs? ( sys-fs/xfsprogs[static-libs(+)] )"
-RDEPEND="!static? ( ${LIB_DEPEND//\[static-libs(+)]} )
+RDEPEND="!static-softmmu? ( ${LIB_DEPEND//\[static-libs(+)]} )
 	!app-emulation/kqemu
 	qemu_softmmu_targets_i386? (
 		sys-firmware/ipxe
-		>=sys-firmware/seabios-1.7.0
+		sys-firmware/seabios
 		sys-firmware/sgabios
 		sys-firmware/vgabios
 	)
 	qemu_softmmu_targets_x86_64? (
 		sys-firmware/ipxe
-		>=sys-firmware/seabios-1.7.0
+		sys-firmware/seabios
 		sys-firmware/sgabios
 		sys-firmware/vgabios
 	)
 	alsa? ( >=media-libs/alsa-lib-1.0.13 )
 	bluetooth? ( net-wireless/bluez )
 	brltty? ( app-accessibility/brltty )
+	iscsi? ( net-libs/libiscsi )
 	opengl? ( virtual/opengl )
 	pulseaudio? ( media-sound/pulseaudio )
-	python? ( =dev-lang/python-2*[ncurses] )
+	python? ( ${PYTHON_DEPS} )
 	sdl? ( media-libs/libsdl[X] )
 	selinux? ( sec-policy/selinux-qemu )
-	smartcard? ( dev-libs/nss )
-	spice? ( >=app-emulation/spice-protocol-0.12.2 )
+	smartcard? ( dev-libs/nss !app-emulation/libcacard )
+	spice? ( >=app-emulation/spice-protocol-0.12.3 )
 	systemtap? ( dev-util/systemtap )
 	usbredir? ( >=sys-apps/usbredir-0.6 )
 	virtfs? ( sys-libs/libcap )
 	xen? ( app-emulation/xen-tools )"
 
 DEPEND="${RDEPEND}
+	app-text/texi2html
+	=dev-lang/python-2*
 	virtual/pkgconfig
-	doc? ( app-text/texi2html )
 	kernel_linux? ( >=sys-kernel/linux-headers-2.6.35 )
-	static? ( ${LIB_DEPEND} )"
+	static-softmmu? ( ${LIB_DEPEND} )
+	test? (
+		dev-libs/glib[utils]
+		sys-devel/bc
+	)"
 
 STRIP_MASK="/usr/share/qemu/palcode-clipper"
 
@@ -117,8 +132,7 @@
 	usr/share/qemu/openbios-sparc32
 	usr/share/qemu/palcode-clipper"
 
-QA_WX_LOAD="${QA_PRESTRIPPED}
-	usr/bin/qemu-i386
+QA_WX_LOAD="usr/bin/qemu-i386
 	usr/bin/qemu-x86_64
 	usr/bin/qemu-alpha
 	usr/bin/qemu-arm
@@ -141,6 +155,16 @@
 	usr/bin/qemu-s390x
 	usr/bin/qemu-unicore32"
 
+qemu_support_kvm() {
+	if use qemu_softmmu_targets_x86_64 || use qemu_softmmu_targets_i386 \
+		use qemu_softmmu_targets_ppc || use qemu_softmmu_targets_ppc64 \
+		use qemu_softmmu_targets_s390x; then
+		return 0
+	fi
+
+	return 1
+}
+
 pkg_pretend() {
 	if use kernel_linux && kernel_is lt 2 6 25; then
 		eerror "This version of KVM requres a host kernel of 2.6.25 or higher."
@@ -174,21 +198,12 @@
 			check_extra_config
 		fi
 	fi
-
-	if use static; then
-		ewarn "USE=static is very much a moving target because of the packages"
-		ewarn "we depend on will have their static libs ripped out or wrapped"
-		ewarn "with USE=static-libs or USE=static due to continued dicsussion"
-		ewarn "on the mailing list about USE=static's place in Gentoo. As a"
-		ewarn "result what worked today may not work tomorrow."
-	fi
 }
 
 pkg_setup() {
-	python_set_active_version 2
-	python_pkg_setup
-
 	enewgroup kvm 78
+
+	python_export_best
 }
 
 src_prepare() {
@@ -196,10 +211,7 @@
 	sed -i 's/^\(C\|OP_C\|HELPER_C\)FLAGS=/\1FLAGS+=/' \
 		Makefile Makefile.target || die
 
-	python_convert_shebangs -r 2 "${S}/scripts/kvm/kvm_stat"
-	python_convert_shebangs -r 2 "${S}/scripts/kvm/vmxcap"
-
-	epatch "${FILESDIR}"/${P}-cflags.patch
+	epatch "${FILESDIR}"/qemu-9999-cflags.patch
 	[[ -n ${BACKPORTS} ]] && \
 		EPATCH_FORCE=yes EPATCH_SUFFIX="patch" EPATCH_SOURCE="${S}/patches" \
 			epatch
@@ -213,95 +225,112 @@
 	epatch_user
 }
 
-src_configure() {
+##
+# configures qemu based on the build directory and the build type
+# we are using.
+#
+qemu_src_configure() {
+	debug-print-function $FUNCNAME "$@"
+
+	local buildtype=$1
+	local builddir=$2
 	local conf_opts audio_opts
+	local static_flag="static-${buildtype}"
 
-	for target in ${IUSE_SOFTMMU_TARGETS} ; do
-		use "qemu_softmmu_targets_${target}" && \
-		softmmu_targets="${softmmu_targets} ${target}-softmmu"
-	done
+	conf_opts="--prefix=/usr"
+	conf_opts+=" --sysconfdir=/etc"
+	conf_opts+=" --libdir=/usr/$(get_libdir)"
+	conf_opts+=" --docdir=/usr/share/doc/${PF}/html"
+	conf_opts+=" --disable-bsd-user"
+	conf_opts+=" --disable-guest-agent"
+	conf_opts+=" --disable-strip"
+	conf_opts+=" --disable-werror"
+	conf_opts+=" --python=${PYTHON}"
 
-	for target in ${IUSE_USER_TARGETS} ; do
-		use "qemu_user_targets_${target}" && \
-		user_targets="${user_targets} ${target}-linux-user"
-	done
+	# audio options
+	audio_opts="oss"
+	use alsa && audio_opts="alsa,${audio_opts}"
+	use sdl && audio_opts="sdl,${audio_opts}"
+	use pulseaudio && audio_opts="pa,${audio_opts}"
 
-	einfo "Building the following softmmu targets: ${softmmu_targets}"
+	if [[ ${buildtype} == "user" ]]; then
+		conf_opts+=" --enable-linux-user"
+		conf_opts+=" --disable-system"
+		conf_opts+=" --target-list=${user_targets}"
+		conf_opts+=" --disable-blobs"
+		conf_opts+=" --disable-bluez"
+		conf_opts+=" --disable-curses"
+		conf_opts+=" --disable-kvm"
+		conf_opts+=" --disable-libiscsi"
+		conf_opts+=" $(use_enable seccomp)"
+		conf_opts+=" --disable-sdl"
+		conf_opts+=" --disable-smartcard-nss"
+		conf_opts+=" --disable-tools"
+		conf_opts+=" --disable-vde"
+	fi
 
-	if [[ -n ${user_targets} ]]; then
-		einfo "Building the following user targets: ${user_targets}"
-		conf_opts="${conf_opts} --enable-linux-user"
-	else
-		conf_opts="${conf_opts} --disable-linux-user"
+	if [[ ${buildtype} == "softmmu" ]]; then
+		conf_opts+=" --disable-linux-user"
+		conf_opts+=" --enable-system"
+		conf_opts+=" --with-system-pixman"
+		conf_opts+=" --target-list=${softmmu_targets}"
+		conf_opts+=" $(use_enable bluetooth bluez)"
+		conf_opts+=" $(use_enable sdl)"
+		conf_opts+=" $(use_enable aio linux-aio)"
+		conf_opts+=" $(use_enable brltty brlapi)"
+		conf_opts+=" $(use_enable caps cap-ng)"
+		conf_opts+=" $(use_enable curl)"
+		conf_opts+=" $(use_enable fdt)"
+		conf_opts+=" $(use_enable iscsi libiscsi)"
+		conf_opts+=" $(use_enable jpeg vnc-jpeg)"
+		conf_opts+=" $(use_enable kernel_linux kvm)"
+		conf_opts+=" $(use_enable kernel_linux nptl)"
+		conf_opts+=" $(use_enable ncurses curses)"
+		conf_opts+=" $(use_enable opengl)"
+		conf_opts+=" $(use_enable png vnc-png)"
+		conf_opts+=" $(use_enable rbd)"
+		conf_opts+=" $(use_enable sasl vnc-sasl)"
+		conf_opts+=" $(use_enable seccomp)"
+		conf_opts+=" $(use_enable smartcard smartcard-nss)"
+		conf_opts+=" $(use_enable spice)"
+		conf_opts+=" $(use_enable tls vnc-tls)"
+		conf_opts+=" $(use_enable tls vnc-ws)"
+		conf_opts+=" $(use_enable usbredir usb-redir)"
+		conf_opts+=" $(use_enable uuid)"
+		conf_opts+=" $(use_enable vde)"
+		conf_opts+=" $(use_enable vhost-net)"
+		conf_opts+=" $(use_enable virtfs)"
+		conf_opts+=" $(use_enable vnc)"
+		conf_opts+=" $(use_enable xattr attr)"
+		conf_opts+=" $(use_enable xen)"
+		conf_opts+=" $(use_enable xen xen-pci-passthrough)"
+		conf_opts+=" $(use_enable xfs xfsctl)"
+		use mixemu && conf_opts+=" --enable-mixemu"
+		conf_opts+=" --audio-drv-list=${audio_opts}"
+		#conf_opts+=" --enable-migration-from-qemu-kvm"
 	fi
 
+	conf_opts+=" $(use_enable debug debug-info)"
+	conf_opts+=" $(use_enable debug debug-tcg)"
+	conf_opts+=" --enable-docs"
+	conf_opts+=" $(use_enable tci tcg-interpreter)"
+
 	# Add support for SystemTAP
 	use systemtap && conf_opts="${conf_opts} --enable-trace-backend=dtrace"
 
-	# Fix QA issues. QEMU needs executable heaps and we need to mark it as such
-	#conf_opts="${conf_opts} --extra-ldflags=-Wl,-z,execheap"
-
 	# Add support for static builds
-	use static && conf_opts="${conf_opts} --static --disable-pie"
+	use ${static_flag} && conf_opts="${conf_opts} --static --disable-pie"
 
 	# We always want to attempt to build with PIE support as it results
 	# in a more secure binary. But it doesn't work with static or if
 	# the current GCC doesn't have PIE support.
-	if ! use static && gcc-specs-pie; then
+	if ! use ${static_flag} && gcc-specs-pie; then
 		conf_opts="${conf_opts} --enable-pie"
 	fi
 
-	# audio options
-	audio_opts="oss"
-	use alsa && audio_opts="alsa,${audio_opts}"
-	use sdl && audio_opts="sdl,${audio_opts}"
-	use pulseaudio && audio_opts="pa,${audio_opts}"
-	use mixemu && conf_opts="${conf_opts} --enable-mixemu"
-
-	./configure --prefix=/usr \
-		--sysconfdir=/etc \
-		--docdir=/usr/share/doc/${PF}/html \
-		--disable-bsd-user \
-		--disable-guest-agent \
-		--disable-libiscsi \
-		--disable-strip \
-		--disable-werror \
-		--python=python2 \
-		$(use_enable aio linux-aio) \
-		$(use_enable bluetooth bluez) \
-		$(use_enable brltty brlapi) \
-		$(use_enable caps cap-ng) \
-		$(use_enable curl) \
-		$(use_enable debug debug-info) \
-		$(use_enable debug debug-tcg) \
-		$(use_enable doc docs) \
-		$(use_enable fdt) \
-		$(use_enable jpeg vnc-jpeg) \
-		$(use_enable kernel_linux kvm) \
-		$(use_enable kernel_linux nptl) \
-		$(use_enable ncurses curses) \
-		$(use_enable opengl glx) \
-		$(use_enable png vnc-png) \
-		$(use_enable rbd) \
-		$(use_enable sasl vnc-sasl) \
-		$(use_enable sdl) \
-		$(use_enable seccomp) \
-		$(use_enable smartcard smartcard-nss) \
-		$(use_enable spice) \
-		$(use_enable tci tcg-interpreter) \
-		$(use_enable tls vnc-tls) \
-		$(use_enable usbredir usb-redir) \
-		$(use_enable uuid) \
-		$(use_enable vde) \
-		$(use_enable vhost-net) \
-		$(use_enable virtfs) \
-		$(use_enable vnc) \
-		$(use_enable xattr attr) \
-		$(use_enable xen) \
-		$(use_enable xen xen-pci-passthrough) \
-		$(use_enable xfs xfsctl) \
-		--audio-drv-list=${audio_opts} \
-		--target-list="${softmmu_targets} ${user_targets}" \
+	einfo "./configure ${conf_opts}"
+	cd ${builddir}
+	../configure \
 		--cc="$(tc-getCC)" \
 		--host-cc="$(tc-getBUILD_CC)" \
 		${conf_opts} \
@@ -313,37 +342,111 @@
 			sed -E -e "s|^(HOST_USB=)bsd|\1stub|" -i "${S}"/config-host.mak
 }
 
+src_configure() {
+	softmmu_targets=
+	user_targets=
+
+	for target in ${IUSE_SOFTMMU_TARGETS} ; do
+		use "qemu_softmmu_targets_${target}" && \
+		softmmu_targets="${softmmu_targets},${target}-softmmu"
+	done
+
+	for target in ${IUSE_USER_TARGETS} ; do
+		use "qemu_user_targets_${target}" && \
+		user_targets="${user_targets},${target}-linux-user"
+	done
+
+	[[ -n ${softmmu_targets} ]] && \
+		einfo "Building the following softmmu targets: ${softmmu_targets}"
+
+	[[ -n ${user_targets} ]] && \
+		einfo "Building the following user targets: ${user_targets}"
+
+	if [[ -n ${softmmu_targets} ]]; then
+		mkdir "${S}/softmmu-build"
+		qemu_src_configure "softmmu" "${S}/softmmu-build"
+	fi
+
+	if [[ -n ${user_targets} ]]; then
+		mkdir "${S}/user-build"
+		qemu_src_configure "user" "${S}/user-build"
+	fi
+}
+
+src_compile() {
+	if [[ -n ${user_targets} ]]; then
+		cd "${S}/user-build"
+		default
+	fi
+
+	if [[ -n ${softmmu_targets} ]]; then
+		cd "${S}/softmmu-build"
+		default
+	fi
+}
+
+src_test() {
+	cd "${S}/softmmu-build"
+	emake -j1 check
+	emake -j1 check-report.html
+}
+
+qemu_python_install() {
+	python_domodule "${S}/QMP/qmp.py"
+
+	python_doscript "${S}/scripts/kvm/kvm_stat"
+	python_doscript "${S}/scripts/kvm/vmxcap"
+	python_doscript "${S}/QMP/qmp-shell"
+	python_doscript "${S}/QMP/qemu-ga-client"
+}
+
 src_install() {
-	emake DESTDIR="${ED}" install
+	if [[ -n ${user_targets} ]]; then
+		cd "${S}/user-build"
+		emake DESTDIR="${ED}" install
+
+		# Install binfmt handler init script for user targets
+		newinitd "${FILESDIR}/qemu-binfmt.initd-r1" qemu-binfmt
+	fi
 
 	if [[ -n ${softmmu_targets} ]]; then
+		cd "${S}/softmmu-build"
+		emake DESTDIR="${ED}" install
+
+		if use test; then
+			dohtml check-report.html
+		fi
+
 		if use kernel_linux; then
 			udev_dorules "${FILESDIR}"/65-kvm.rules
 		fi
 
 		if use qemu_softmmu_targets_x86_64 ; then
-			dosym /usr/bin/qemu-system-x86_64 /usr/bin/qemu-kvm
+			newbin "${FILESDIR}/qemu-kvm-1.4" qemu-kvm
 			ewarn "The deprecated '/usr/bin/kvm' symlink is no longer installed"
 			ewarn "You should use '/usr/bin/qemu-kvm', you may need to edit"
 			ewarn "your libvirt configs or other wrappers for ${PN}"
 		elif use x86 || use amd64; then
 			elog "You disabled QEMU_SOFTMMU_TARGETS=x86_64, this disables install"
-			elog "of the /usr/bin/qemu-kvm symlink."
+			elog "of the /usr/bin/qemu-kvm script."
 		fi
-	fi
 
-	dodoc Changelog MAINTAINERS docs/specs/pci-ids.txt
-	newdoc pc-bios/README README.pc-bios
+		if use python; then
+			python_foreach_impl qemu_python_install
+		fi
+	fi
 
-	use python && dobin scripts/kvm/kvm_stat
-	use python && dobin scripts/kvm/vmxcap
+	# Install config file example for qemu-bridge-helper
+	insinto "/etc/qemu"
+	doins "${FILESDIR}/bridge.conf"
 
-	# Avoid collision with app-emulation/libcacard
-	use smartcard && mv "${ED}/usr/bin/vscclient" "${ED}/usr/bin/qemu-vscclient"
+	# Remove the docdir placed qmp-commands.txt
+	mv "${ED}/usr/share/doc/${PF}/html/qmp-commands.txt" "${S}/QMP/"
 
-	# Install binfmt handler init script for user targets
-	[[ -n ${user_targets} ]] && \
-		newinitd "${FILESDIR}/qemu-binfmt.initd" qemu-binfmt
+	cd "${S}"
+	dodoc Changelog MAINTAINERS TODO docs/specs/pci-ids.txt
+	newdoc pc-bios/README README.pc-bios
+	dodoc QMP/qmp-commands.txt QMP/qmp-events.txt QMP/qmp-spec.txt
 
 	# Remove SeaBIOS since we're using the SeaBIOS packaged one
 	rm "${ED}/usr/share/qemu/bios.bin"
@@ -384,9 +487,9 @@
 }
 
 pkg_postinst() {
-	if use qemu_softmmu_targets_x86_64 || use qemu_softmmu_targets_i386 \
-		use qemu_softmmu_targets_ppc || use qemu_softmmu_targets_ppc64 \
-		use qemu_softmmu_targets_s390x; then
+	local virtfs_caps=
+
+	if qemu_support_kvm; then
 		elog "If you don't have kvm compiled into the kernel, make sure you have"
 		elog "the kernel module loaded before running kvm. The easiest way to"
 		elog "ensure that the kernel module is loaded is to load it on boot."
@@ -399,6 +502,25 @@
 		elog
 	fi
 
+	virtfs_caps+="cap_chown,cap_dac_override,cap_fowner,cap_fsetid,"
+	virtfs_caps+="cap_setgid,cap_mknod,cap_setuid"
+
+	fcaps cap_net_admin /usr/libexec/qemu-bridge-helper
+	use virtfs && fcaps ${virtfs_caps} /usr/bin/virtfs-proxy-helper
+
 	elog "The ssl USE flag was renamed to tls, so adjust your USE flags."
 	elog "The nss USE flag was renamed to smartcard, so adjust your USE flags."
 }
+
+pkg_info() {
+	echo "Using:"
+	echo "  $(best_version app-emulation/spice-protocol)"
+	echo "  $(best_version sys-firmware/ipxe)"
+	echo "  $(best_version sys-firmware/seabios)"
+	if has_version sys-firmware/seabios[binary]; then
+		echo "    USE=binary"
+	else
+		echo "    USE=''"
+	fi
+	echo "  $(best_version sys-firmware/vgabios)"
+}



1.213                app-emulation/qemu/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-emulation/qemu/ChangeLog?rev=1.213&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-emulation/qemu/ChangeLog?rev=1.213&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-emulation/qemu/ChangeLog?r1=1.212&r2=1.213

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-emulation/qemu/ChangeLog,v
retrieving revision 1.212
retrieving revision 1.213
diff -u -r1.212 -r1.213
--- ChangeLog	30 May 2013 15:06:39 -0000	1.212
+++ ChangeLog	30 May 2013 15:56:30 -0000	1.213
@@ -1,6 +1,9 @@
 # ChangeLog for app-emulation/qemu
 # Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-emulation/qemu/ChangeLog,v 1.212 2013/05/30 15:06:39 cardoe Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-emulation/qemu/ChangeLog,v 1.213 2013/05/30 15:56:30 cardoe Exp $
+
+  30 May 2013; Doug Goldstein <cardoe@gentoo.org> qemu-9999.ebuild:
+  Updates to the live ebuild
 
   30 May 2013; Doug Goldstein <cardoe@gentoo.org> qemu-1.4.2.ebuild:
   Add a missing PYTHON_REQUIRED_USE for the conversion to python-r1 eclass.





             reply	other threads:[~2013-05-30 15:56 UTC|newest]

Thread overview: 41+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-05-30 15:56 Doug Goldstein (cardoe) [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-08-05  6:47 [gentoo-commits] gentoo-x86 commit in app-emulation/qemu: qemu-9999.ebuild ChangeLog Mike Frysinger (vapier)
2015-08-05  6:27 Mike Frysinger (vapier)
2015-07-25 19:30 Doug Goldstein (cardoe)
2015-05-16  4:40 Mike Frysinger (vapier)
2015-05-14  2:19 Mike Frysinger (vapier)
2015-03-28  4:15 Mike Frysinger (vapier)
2015-03-16 18:41 Mike Frysinger (vapier)
2014-05-25 17:34 Mike Frysinger (vapier)
2014-05-12 18:55 Mike Frysinger (vapier)
2014-04-19 17:41 Mike Frysinger (vapier)
2013-08-19 14:08 Doug Goldstein (cardoe)
2013-08-17 21:32 Sergei Trofimovich (slyfox)
2013-08-04 18:28 Doug Goldstein (cardoe)
2013-07-26 15:32 Sergei Trofimovich (slyfox)
2013-06-22 16:24 Sergei Trofimovich (slyfox)
2013-05-31 15:35 Sergei Trofimovich (slyfox)
2013-05-31 14:20 Sergei Trofimovich (slyfox)
2013-03-28  2:06 Stephen Klimaszewski (steev)
2013-02-28 16:07 Doug Goldstein (cardoe)
2013-01-21 15:07 Doug Goldstein (cardoe)
2013-01-12  7:36 Doug Goldstein (cardoe)
2013-01-10 21:04 Sergei Trofimovich (slyfox)
2012-12-05 15:38 Sergei Trofimovich (slyfox)
2012-12-04 10:20 Sergei Trofimovich (slyfox)
2012-11-21 20:02 Doug Goldstein (cardoe)
2012-11-05  6:42 Sergei Trofimovich (slyfox)
2012-11-04 22:00 Doug Goldstein (cardoe)
2012-10-29 11:15 Tiziano Mueller (dev-zero)
2012-10-09 20:40 Doug Goldstein (cardoe)
2012-09-07 13:35 Sergei Trofimovich (slyfox)
2012-06-10 20:15 Sergei Trofimovich (slyfox)
2012-02-28 18:31 Sergei Trofimovich (slyfox)
2012-01-29 12:18 Sergei Trofimovich (slyfox)
2012-01-23 21:34 Sergei Trofimovich (slyfox)
2012-01-23 19:04 William Hubbs (williamh)
2012-01-22 21:03 Sergei Trofimovich (slyfox)
2012-01-22 12:38 Sergei Trofimovich (slyfox)
2012-01-21 12:57 Sergei Trofimovich (slyfox)
2011-09-20 22:34 Michal Gorny (mgorny)
2011-06-27 19:27 Luca Barbato (lu_zero)

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20130530155630.B78DB2171D@flycatcher.gentoo.org \
    --to=cardoe@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox